--
-- Sample LUA code for the included TIME_* functions in Girder
--

--
-- Generic wait function
--
function Wait( milliseconds )
	while (milliseconds > 1000) do
		TIME_Sleep( 1000 )
		milliseconds = milliseconds  - 1000		
	end
	if (milliseconds > 0 ) then
		TIME_Sleep( milliseconds )
	end
end

--
-- Main Code
--

print("Wait for 2 seconds (2000 milliseconds)")
local CurrentTime = TIME_GetTicks()
Wait( 2000 )
local DeltaTime = TIME_GetTicks( CurrentTime )
print("Current time = "..CurrentTime..", Delta time = "..DeltaTime)

print("Wait for .1 seconds (100 milliseconds)")
CurrentTime = TIME_GetTicks()
Wait( 100 )
DeltaTime = TIME_GetTicks( CurrentTime )
print("Current time = "..CurrentTime..", Delta time = "..DeltaTime)

-- CurrentTime and DeltaTime go out of scope and are released
